/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * This patching config will patch all nodes in one AD/FD at a time.
 */
export interface DomainBasedPatchingConfigs extends model.PatchingConfigs {
    /**
     * The wait time between AD/FD in seconds. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "waitTimeBetweenDomainInSeconds": number;
    /**
     * Acceptable number of failed-to-be-patched nodes in each domain. The maximum number of failed-to-patch nodes cannot exceed 20% of the number of nodes. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "toleranceThresholdPerDomain": number;
    "patchingConfigStrategy": string;
}
export declare namespace DomainBasedPatchingConfigs {
    function getJsonObj(obj: DomainBasedPatchingConfigs, isParentJsonObj?: boolean): object;
    const patchingConfigStrategy = "DOMAIN_BASED";
    function getDeserializedJsonObj(obj: DomainBasedPatchingConfigs, isParentJsonObj?: boolean): object;
}
