/**
 * Big Data Service API
 * REST API for Oracle Big Data Service. Use this API to build, deploy, and manage fully elastic Big Data Service clusters. Build on Hadoop, Spark and Data Science distributions, which can be fully integrated with existing enterprise data in Oracle Database and Oracle applications.

 * OpenAPI spec version: 20190531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Shape configuration at node type level. Start cluster will start all nodes as is if no config is specified.
 */
export interface NodeTypeShapeConfig {
    /**
     * The Big Data Service cluster node type.
     */
    "nodeType": string;
    /**
     * Shape of the node. This has to be specified when starting the cluster. Defaults to wn0 for homogeneous clusters and remains empty for heterogeneous clusters.
     * If provided, all nodes in the node type will adopt the specified shape; otherwise, nodes retain their original shapes.
     *
     */
    "shape": string;
}
export declare namespace NodeTypeShapeConfig {
    function getJsonObj(obj: NodeTypeShapeConfig): object;
    function getDeserializedJsonObj(obj: NodeTypeShapeConfig): object;
}
