/**
 * Oracle Cloud Bridge API
 * API for Oracle Cloud Bridge service.
 * OpenAPI spec version: 20220509
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * AWS asset source creation request.
 */
export interface CreateAwsAssetSourceDetails extends model.CreateAssetSourceDetails {
    "discoveryCredentials": model.AssetSourceCredentials;
    "replicationCredentials"?: model.AssetSourceCredentials;
    /**
     * AWS region information, from where the resources are discovered.
     */
    "awsRegion": string;
    /**
     * The key of customer's aws account to be discovered/migrated.
     */
    "awsAccountKey": string;
    /**
     * Flag indicating whether historical metrics are collected for assets, originating from this asset source.
     */
    "areHistoricalMetricsCollected"?: boolean;
    /**
     * Flag indicating whether real-time metrics are collected for assets, originating from this asset source.
     */
    "areRealtimeMetricsCollected"?: boolean;
    /**
     * Flag indicating whether cost data collection is enabled for assets, originating from this asset source.
     */
    "isCostInformationCollected"?: boolean;
    "type": string;
}
export declare namespace CreateAwsAssetSourceDetails {
    function getJsonObj(obj: CreateAwsAssetSourceDetails, isParentJsonObj?: boolean): object;
    const type = "AWS";
    function getDeserializedJsonObj(obj: CreateAwsAssetSourceDetails, isParentJsonObj?: boolean): object;
}
