/**
 * Kubernetes Engine API
 * API for the Kubernetes Engine service (also known as the Container Engine for Kubernetes service). Use this API to build, deploy,
and manage cloud-native applications. For more information, see
[Overview of Kubernetes Engine](https://docs.oracle.com/iaas/Content/ContEng/Concepts/contengoverview.htm).

 * OpenAPI spec version: 20180222
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Describes image metadata.
 */
export interface Image {
    /**
     * The Oracle Cloud ID (OCID) that uniquely identifies the image.
     */
    "id"?: string;
    /**
     * The OCID of the compartment that the image was created in.
     */
    "compartmentId"?: string;
    /**
     * A friendly user-specified name for the image.
     */
    "displayName"?: string;
}
export declare namespace Image {
    function getJsonObj(obj: Image): object;
    function getDeserializedJsonObj(obj: Image): object;
}
