/**
 * Kubernetes Engine API
 * API for the Kubernetes Engine service (also known as the Container Engine for Kubernetes service). Use this API to build, deploy,
and manage cloud-native applications. For more information, see
[Overview of Kubernetes Engine](https://docs.oracle.com/iaas/Content/ContEng/Concepts/contengoverview.htm).

 * OpenAPI spec version: 20180222
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The properties that define to install/enable addon on a cluster
 */
export interface InstallAddonDetails {
    /**
     * The name of the addon.
     */
    "addonName": string;
    /**
     * The version of addon to be installed.
     */
    "version"?: string;
    /**
     * Addon configuration details.
     */
    "configurations"?: Array<model.AddonConfiguration>;
    /**
     * Whether or not to override an existing addon installation. Defaults to false. If set to true, any existing addon installation would be overridden as per new installation details.
     */
    "isOverrideExisting"?: boolean;
}
export declare namespace InstallAddonDetails {
    function getJsonObj(obj: InstallAddonDetails): object;
    function getDeserializedJsonObj(obj: InstallAddonDetails): object;
}
