/**
 * Database Service API
 * The API for the Database Service. Use this API to manage resources such as databases and DB Systems. For more information, see [Overview of the Database Service](https://docs.oracle.com/iaas/Content/Database/Concepts/databaseoverview.htm).

 * OpenAPI spec version: 20160918
 * Contact: sic_dbaas_cp_us_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Information about the recovery appliance configuration associated with the Autonomous Container Database.
 */
export interface RecoveryApplianceDetails {
    /**
     * The storage size of the backup destination allocated for an Autonomous Container Database to store backups on the recovery appliance, in GBs, rounded to the nearest integer. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "allocatedStorageSizeInGBs"?: number;
    /**
     * Number of days between the current and earliest point of recoverability covered by automatic backups. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "recoveryWindowInDays"?: number;
    /**
     * The time when the recovery appliance details are updated.
     */
    "timeRecoveryApplianceDetailsUpdated"?: Date;
}
export declare namespace RecoveryApplianceDetails {
    function getJsonObj(obj: RecoveryApplianceDetails): object;
    function getDeserializedJsonObj(obj: RecoveryApplianceDetails): object;
}
