/**
 * Database Management API
 * Use the Database Management API to monitor and manage resources such as
Oracle Databases, MySQL Databases, and External Database Systems.
For more information, see [Database Management](https://docs.oracle.com/iaas/database-management/home.htm).

 * OpenAPI spec version: 20201101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * External database summary record.
 */
export interface ExternalMySqlDatabaseSummary {
    /**
     * OCID of compartment for the External MySQL Database.
     */
    "compartmentId": string;
    /**
     * OCID of External MySQL Database.
     */
    "externalDatabaseId"?: string;
    /**
     * The OCID of the enabled MySQL Database Connector.
     */
    "connectorId"?: string;
    /**
     * Display name of the External MySQL Database.
     */
    "dbName": string;
    /**
     * The deployment type of the Mysql Database.
     */
    "deploymentType"?: model.MySqlDeploymentType;
    /**
     * Indicates database management state.
     */
    "managementState"?: model.ManagementState;
    /**
     * Indicates lifecycle  state of the resource.
     */
    "lifecycleState"?: model.LifecycleStates;
    /**
      * System tags for this resource. Each key is predefined and scoped to a namespace.
  * For more information, see [Resource Tags](https://docs.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
  * System tags can be viewed by users, but can only be created by the system.
  * <p>
  Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
  *
      */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace ExternalMySqlDatabaseSummary {
    function getJsonObj(obj: ExternalMySqlDatabaseSummary): object;
    function getDeserializedJsonObj(obj: ExternalMySqlDatabaseSummary): object;
}
