/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * maskingPolicyColumnsInfo object has details of column group with schema details.
 */
export interface MaskingPolicyColumnsInfo {
    /**
     * The name of the schema that contains the database column(s).
     */
    "schemaName": string;
    /**
     * The type of the database object that contains the masking policy.
     */
    "objectType": MaskingPolicyColumnsInfo.ObjectType;
    /**
     * The name of the object (table or editioning view) that contains the database column(s).
     */
    "objectName": string;
    /**
     * Group of columns in referential relation. Order needs to be maintained in the elements of the parent/child array listing.
     *
     */
    "referentialColumnGroup": Array<string>;
}
export declare namespace MaskingPolicyColumnsInfo {
    enum ObjectType {
        Table = "TABLE",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: MaskingPolicyColumnsInfo): object;
    function getDeserializedJsonObj(obj: MaskingPolicyColumnsInfo): object;
}
