/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The dimensions available for sensitive column analytics.
 */
export interface SensitiveColumnAnalyticsDimensions {
    /**
     * The OCID of the target database associated with the sensitive column.
     */
    "targetId"?: string;
    /**
     * The database schema that contains the sensitive column.
     */
    "schemaName"?: string;
    /**
     * The database object that contains the sensitive column.
     */
    "objectName"?: string;
    /**
     * The name of the sensitive column.
     */
    "columnName"?: string;
    /**
     * The OCID of the sensitive type associated with the sensitive column.
     */
    "sensitiveTypeId"?: string;
    /**
     * The OCID of the sensitive data model which contains the sensitive column.
     */
    "sensitiveDataModelId"?: string;
}
export declare namespace SensitiveColumnAnalyticsDimensions {
    function getJsonObj(obj: SensitiveColumnAnalyticsDimensions): object;
    function getDeserializedJsonObj(obj: SensitiveColumnAnalyticsDimensions): object;
}
