/**
 * Data Safe API
 * APIs for using Oracle Data Safe.
 * OpenAPI spec version: 20181201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details of the sensitive type group.
 */
export interface SensitiveTypeGroup {
    /**
     * The OCID of the sensitive type group.
     */
    "id": string;
    /**
     * The display name of the sensitive type group.
     */
    "displayName": string;
    /**
     * The description of the sensitive type group.
     */
    "description"?: string;
    /**
     * The OCID of the compartment that contains the sensitive type group.
     */
    "compartmentId": string;
    /**
     * The current state of the sensitive type group.
     */
    "lifecycleState": model.SensitiveTypeGroupLifecycleState;
    /**
     * The date and time the sensitive type group was created, in the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     */
    "timeCreated": Date;
    /**
     * The date and time the sensitive type group was last updated, in the format defined by [RFC3339](https://tools.ietf.org/html/rfc3339).
     */
    "timeUpdated"?: Date;
    /**
     * The number of sensitive types in the specified sensitive type group. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "sensitiveTypeCount": number;
    /**
      * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see [Resource Tags](https://docs.oracle.com/iaas/Content/General/Concepts/resourcetags.htm)
  * <p>
  Example: {@code {\"Department\": \"Finance\"}}
  *
      */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see [Resource Tags](https://docs.oracle.com/iaas/Content/General/Concepts/resourcetags.htm)
     * Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * System tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
     * Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace SensitiveTypeGroup {
    function getJsonObj(obj: SensitiveTypeGroup): object;
    function getDeserializedJsonObj(obj: SensitiveTypeGroup): object;
}
