/**
 * Data Science API
 * Use the Data Science API to organize your data science work, access data and computing resources, and build, train, deploy and manage models and model deployments. For more information, see [Data Science](https://docs.oracle.com/iaas/data-science/using/data-science.htm).

 * OpenAPI spec version: 20190101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary of the MlApplicationInstance.
 */
export interface MlApplicationInstanceSummary {
    /**
     * The OCID of the MlApplicationInstance. Unique identifier that is immutable after creation
     */
    "id": string;
    /**
     * The name of MlApplicationInstance. System will generate displayName when not provided during creation.
     */
    "displayName": string;
    /**
     * The OCID of ML Application. This resource is an instance of ML Application referenced by this OCID.
     */
    "mlApplicationId": string;
    /**
     * The name of ML Application (based on mlApplicationId).
     */
    "mlApplicationName": string;
    /**
     * The OCID of ML Application Implementation selected as a certain solution for a given ML problem (ML Application)
     */
    "mlApplicationImplementationId": string;
    /**
     * The name of Ml Application Implementation (based on mlApplicationImplementationId)
     */
    "mlApplicationImplementationName": string;
    /**
     * The OCID of the compartment where you the MlApplicationInstance is created.
     */
    "compartmentId": string;
    /**
     * The time the the MlApplication was created. An RFC3339 formatted datetime string
     */
    "timeCreated": Date;
    /**
     * The current state of the MlApplicationInstance.
     */
    "lifecycleState": string;
    /**
     * The current substate of the MlApplicationInstance. The substate has MlApplicationInstance specific values in comparison with lifecycleState which has standard values common for all OCI resources.
     */
    "lifecycleSubstate": string;
    /**
     * Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. See [Resource Tags](https://docs.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Department\": \"Finance\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace. See [Resource Tags](https://docs.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
     * Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * Usage of system tag keys. These predefined keys are scoped to namespaces.
     * Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace MlApplicationInstanceSummary {
    function getJsonObj(obj: MlApplicationInstanceSummary): object;
    function getDeserializedJsonObj(obj: MlApplicationInstanceSummary): object;
}
