/**
 * Dblm API
 * A description of the Dblm API
 * OpenAPI spec version: 20240102
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Description of FPP Server.
 */
export interface FppServer {
    /**
     * Unique identifier that is immutable on creation
     */
    "id": string;
    /**
     * FPP Server Identifier, can be renamed
     */
    "displayName": string;
    /**
     * Compartment Identifier
     */
    "compartmentId": string;
    /**
     * Unique Management Agent identifier
     */
    "managementAgentId"?: string;
    /**
     * Unique Management Agent Compartment identifier
     */
    "macAgentCompartmentId"?: string;
    /**
     * REST endpoint URL of FPP Server
     */
    "fppRestUrl"?: string;
    /**
     * Absolute path of JKS Trust Store
     */
    "trustStoreLocation"?: string;
    /**
     * JKS Trust Store Password
     */
    "trustStorePassword"?: string;
    /**
     * FPP REST User Name
     */
    "restUserName"?: string;
    /**
     * FPP REST User Password
     */
    "restUserPassword"?: string;
    /**
     * The time the the FPP server was created. An RFC3339 formatted datetime string
     */
    "timeCreated": Date;
    /**
     * The time the FPP server was updated. An RFC3339 formatted datetime string
     */
    "timeUpdated"?: Date;
    /**
     * The current state of the FPP server.
     */
    "lifecycleState": FppServer.LifecycleState;
    /**
     * A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in Failed state.
     */
    "lifecycleDetails"?: string;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags": {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags": {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * System tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace FppServer {
    enum LifecycleState {
        Creating = "CREATING",
        Updating = "UPDATING",
        Active = "ACTIVE",
        Deleting = "DELETING",
        Deleted = "DELETED",
        Failed = "FAILED"
    }
    function getJsonObj(obj: FppServer): object;
    function getDeserializedJsonObj(obj: FppServer): object;
}
