/**
 * Dblm API
 * A description of the Dblm API
 * OpenAPI spec version: 20240102
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Patch operation list summary by status record.
 */
export interface PatchOperationsSummary {
    /**
     * Total number of scheduled Patch operations. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "scheduledPatchOpsCount"?: number;
    /**
     * Total number of in progress Patch operations. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "runningPatchOpsCount"?: number;
    /**
     * Total number of successful Patch operations. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "successfulPatchOpsCount"?: number;
    /**
     * Total number of Patch operations that have warnings. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "warningsPatchOpsCount"?: number;
    /**
     * Total number of failed Patch operations. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "failedPatchOpsCount"?: number;
}
export declare namespace PatchOperationsSummary {
    function getJsonObj(obj: PatchOperationsSummary): object;
    function getDeserializedJsonObj(obj: PatchOperationsSummary): object;
}
