/**
 * Secure Desktops API
 * Create and manage cloud-hosted desktops which can be accessed from a web browser or installed client.

 * OpenAPI spec version: 20220618
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as ActionType from "./action-type";
export import ActionType = ActionType.ActionType;
import * as ChangeDesktopPoolCompartmentDetails from "./change-desktop-pool-compartment-details";
export import ChangeDesktopPoolCompartmentDetails = ChangeDesktopPoolCompartmentDetails.ChangeDesktopPoolCompartmentDetails;
import * as CreateDesktopPoolDesktopSessionLifecycleActions from "./create-desktop-pool-desktop-session-lifecycle-actions";
export import CreateDesktopPoolDesktopSessionLifecycleActions = CreateDesktopPoolDesktopSessionLifecycleActions.CreateDesktopPoolDesktopSessionLifecycleActions;
import * as CreateDesktopPoolDetails from "./create-desktop-pool-details";
export import CreateDesktopPoolDetails = CreateDesktopPoolDetails.CreateDesktopPoolDetails;
import * as CreateDesktopPoolPrivateAccessDetails from "./create-desktop-pool-private-access-details";
export import CreateDesktopPoolPrivateAccessDetails = CreateDesktopPoolPrivateAccessDetails.CreateDesktopPoolPrivateAccessDetails;
import * as CreateDesktopPoolShapeConfigDetails from "./create-desktop-pool-shape-config-details";
export import CreateDesktopPoolShapeConfigDetails = CreateDesktopPoolShapeConfigDetails.CreateDesktopPoolShapeConfigDetails;
import * as Desktop from "./desktop";
export import Desktop = Desktop.Desktop;
import * as DesktopAvailabilityPolicy from "./desktop-availability-policy";
export import DesktopAvailabilityPolicy = DesktopAvailabilityPolicy.DesktopAvailabilityPolicy;
import * as DesktopCollection from "./desktop-collection";
export import DesktopCollection = DesktopCollection.DesktopCollection;
import * as DesktopDevicePolicy from "./desktop-device-policy";
export import DesktopDevicePolicy = DesktopDevicePolicy.DesktopDevicePolicy;
import * as DesktopImage from "./desktop-image";
export import DesktopImage = DesktopImage.DesktopImage;
import * as DesktopNetworkConfiguration from "./desktop-network-configuration";
export import DesktopNetworkConfiguration = DesktopNetworkConfiguration.DesktopNetworkConfiguration;
import * as DesktopPool from "./desktop-pool";
export import DesktopPool = DesktopPool.DesktopPool;
import * as DesktopPoolCollection from "./desktop-pool-collection";
export import DesktopPoolCollection = DesktopPoolCollection.DesktopPoolCollection;
import * as DesktopPoolDesktopCollection from "./desktop-pool-desktop-collection";
export import DesktopPoolDesktopCollection = DesktopPoolDesktopCollection.DesktopPoolDesktopCollection;
import * as DesktopPoolDesktopSummary from "./desktop-pool-desktop-summary";
export import DesktopPoolDesktopSummary = DesktopPoolDesktopSummary.DesktopPoolDesktopSummary;
import * as DesktopPoolPrivateAccessDetails from "./desktop-pool-private-access-details";
export import DesktopPoolPrivateAccessDetails = DesktopPoolPrivateAccessDetails.DesktopPoolPrivateAccessDetails;
import * as DesktopPoolShapeConfig from "./desktop-pool-shape-config";
export import DesktopPoolShapeConfig = DesktopPoolShapeConfig.DesktopPoolShapeConfig;
import * as DesktopPoolSummary from "./desktop-pool-summary";
export import DesktopPoolSummary = DesktopPoolSummary.DesktopPoolSummary;
import * as DesktopPoolVolumeCollection from "./desktop-pool-volume-collection";
export import DesktopPoolVolumeCollection = DesktopPoolVolumeCollection.DesktopPoolVolumeCollection;
import * as DesktopPoolVolumeSummary from "./desktop-pool-volume-summary";
export import DesktopPoolVolumeSummary = DesktopPoolVolumeSummary.DesktopPoolVolumeSummary;
import * as DesktopSchedule from "./desktop-schedule";
export import DesktopSchedule = DesktopSchedule.DesktopSchedule;
import * as DesktopSessionLifecycleActions from "./desktop-session-lifecycle-actions";
export import DesktopSessionLifecycleActions = DesktopSessionLifecycleActions.DesktopSessionLifecycleActions;
import * as DesktopSummary from "./desktop-summary";
export import DesktopSummary = DesktopSummary.DesktopSummary;
import * as DisconnectConfig from "./disconnect-config";
export import DisconnectConfig = DisconnectConfig.DisconnectConfig;
import * as HostingOptions from "./hosting-options";
export import HostingOptions = HostingOptions.HostingOptions;
import * as InactivityConfig from "./inactivity-config";
export import InactivityConfig = InactivityConfig.InactivityConfig;
import * as LifecycleState from "./lifecycle-state";
export import LifecycleState = LifecycleState.LifecycleState;
import * as OperationStatus from "./operation-status";
export import OperationStatus = OperationStatus.OperationStatus;
import * as OperationType from "./operation-type";
export import OperationType = OperationType.OperationType;
import * as UpdateDesktopDetails from "./update-desktop-details";
export import UpdateDesktopDetails = UpdateDesktopDetails.UpdateDesktopDetails;
import * as UpdateDesktopPoolDesktopSessionLifecycleActions from "./update-desktop-pool-desktop-session-lifecycle-actions";
export import UpdateDesktopPoolDesktopSessionLifecycleActions = UpdateDesktopPoolDesktopSessionLifecycleActions.UpdateDesktopPoolDesktopSessionLifecycleActions;
import * as UpdateDesktopPoolDetails from "./update-desktop-pool-details";
export import UpdateDesktopPoolDetails = UpdateDesktopPoolDetails.UpdateDesktopPoolDetails;
import * as WorkRequest from "./work-request";
export import WorkRequest = WorkRequest.WorkRequest;
import * as WorkRequestError from "./work-request-error";
export import WorkRequestError = WorkRequestError.WorkRequestError;
import * as WorkRequestErrorCollection from "./work-request-error-collection";
export import WorkRequestErrorCollection = WorkRequestErrorCollection.WorkRequestErrorCollection;
import * as WorkRequestLogEntry from "./work-request-log-entry";
export import WorkRequestLogEntry = WorkRequestLogEntry.WorkRequestLogEntry;
import * as WorkRequestLogEntryCollection from "./work-request-log-entry-collection";
export import WorkRequestLogEntryCollection = WorkRequestLogEntryCollection.WorkRequestLogEntryCollection;
import * as WorkRequestResource from "./work-request-resource";
export import WorkRequestResource = WorkRequestResource.WorkRequestResource;
import * as WorkRequestSummary from "./work-request-summary";
export import WorkRequestSummary = WorkRequestSummary.WorkRequestSummary;
import * as WorkRequestSummaryCollection from "./work-request-summary-collection";
export import WorkRequestSummaryCollection = WorkRequestSummaryCollection.WorkRequestSummaryCollection;
