/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](https://docs.oracle.com/iaas/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information about new Pull Request.
 */
export interface CreatePullRequestDetails {
    /**
     * Pull Request title
     */
    "displayName": string;
    /**
     * The source branch of the pull request.
     */
    "sourceBranch": string;
    /**
     * The destination branch of the pull request. If not provided, default branch will be used as the destination branch.
     */
    "destinationBranch"?: string;
    /**
     * The OCID of the repository.
     */
    "repositoryId": string;
    /**
     * The OCID of the forked repository that will act as the source of the changes to be included in the pull request against the parent repository.
     */
    "sourceRepositoryId"?: string;
    /**
     * Details of the pull request. Avoid entering confidential information.
     */
    "description"?: string;
    /**
     * Reviewers for this pull request.
     */
    "reviewers"?: Array<model.CreateReviewerDetails>;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.  See [Resource Tags](https://docs.oracle.com/iaas/Content/General/Concepts/resourcetags.htm). Example: {@code {\"bar-key\": \"value\"}}
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace. See [Resource Tags](https://docs.oracle.com/iaas/Content/General/Concepts/resourcetags.htm). Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace CreatePullRequestDetails {
    function getJsonObj(obj: CreatePullRequestDetails): object;
    function getDeserializedJsonObj(obj: CreatePullRequestDetails): object;
}
