/**
 *
 *
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/// <reference types="node" />
import common = require("oci-common");
import stream = require("stream");
/**
 * @example Click {@link https://docs.oracle.com/en-us/iaas/tools/typescript-sdk-examples/latest/devops/CreatePullRequestAttachment.ts.html |here} to see how to use CreatePullRequestAttachmentRequest.
 */
export interface CreatePullRequestAttachmentRequest extends common.BaseRequest {
    /**
     * unique PullRequest identifier
     */
    "pullRequestId": string;
    /**
     * The Content-Disposition response-header field has been proposed as a means for the origin server to suggest a default filename if the user requests that the content is saved to a file.
     */
    "contentDisposition": string;
    /**
     * Uploads the content of the attachment.
     */
    "createPullRequestAttachmentBody": Uint8Array | Buffer | Blob | stream.Readable | ReadableStream | string;
    /**
     * A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated earlier due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
     */
    "opcRetryToken"?: string;
    /**
     * Unique Oracle-assigned identifier for the request.  If you need to contact Oracle about a particular request, provide the request ID.
     */
    "opcRequestId"?: string;
}
