/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](https://docs.oracle.com/iaas/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as ApproveDeploymentResponse from "./approve-deployment-response";
export import ApproveDeploymentResponse = ApproveDeploymentResponse.ApproveDeploymentResponse;
import * as CancelBuildRunResponse from "./cancel-build-run-response";
export import CancelBuildRunResponse = CancelBuildRunResponse.CancelBuildRunResponse;
import * as CancelDeploymentResponse from "./cancel-deployment-response";
export import CancelDeploymentResponse = CancelDeploymentResponse.CancelDeploymentResponse;
import * as CancelScheduledCascadingProjectDeletionResponse from "./cancel-scheduled-cascading-project-deletion-response";
export import CancelScheduledCascadingProjectDeletionResponse = CancelScheduledCascadingProjectDeletionResponse.CancelScheduledCascadingProjectDeletionResponse;
import * as ChangeProjectCompartmentResponse from "./change-project-compartment-response";
export import ChangeProjectCompartmentResponse = ChangeProjectCompartmentResponse.ChangeProjectCompartmentResponse;
import * as CreateBuildPipelineResponse from "./create-build-pipeline-response";
export import CreateBuildPipelineResponse = CreateBuildPipelineResponse.CreateBuildPipelineResponse;
import * as CreateBuildPipelineStageResponse from "./create-build-pipeline-stage-response";
export import CreateBuildPipelineStageResponse = CreateBuildPipelineStageResponse.CreateBuildPipelineStageResponse;
import * as CreateBuildRunResponse from "./create-build-run-response";
export import CreateBuildRunResponse = CreateBuildRunResponse.CreateBuildRunResponse;
import * as CreateConnectionResponse from "./create-connection-response";
export import CreateConnectionResponse = CreateConnectionResponse.CreateConnectionResponse;
import * as CreateDeployArtifactResponse from "./create-deploy-artifact-response";
export import CreateDeployArtifactResponse = CreateDeployArtifactResponse.CreateDeployArtifactResponse;
import * as CreateDeployEnvironmentResponse from "./create-deploy-environment-response";
export import CreateDeployEnvironmentResponse = CreateDeployEnvironmentResponse.CreateDeployEnvironmentResponse;
import * as CreateDeployPipelineResponse from "./create-deploy-pipeline-response";
export import CreateDeployPipelineResponse = CreateDeployPipelineResponse.CreateDeployPipelineResponse;
import * as CreateDeployStageResponse from "./create-deploy-stage-response";
export import CreateDeployStageResponse = CreateDeployStageResponse.CreateDeployStageResponse;
import * as CreateDeploymentResponse from "./create-deployment-response";
export import CreateDeploymentResponse = CreateDeploymentResponse.CreateDeploymentResponse;
import * as CreateOrUpdateGitRefResponse from "./create-or-update-git-ref-response";
export import CreateOrUpdateGitRefResponse = CreateOrUpdateGitRefResponse.CreateOrUpdateGitRefResponse;
import * as CreateOrUpdateProtectedBranchResponse from "./create-or-update-protected-branch-response";
export import CreateOrUpdateProtectedBranchResponse = CreateOrUpdateProtectedBranchResponse.CreateOrUpdateProtectedBranchResponse;
import * as CreateProjectResponse from "./create-project-response";
export import CreateProjectResponse = CreateProjectResponse.CreateProjectResponse;
import * as CreatePullRequestResponse from "./create-pull-request-response";
export import CreatePullRequestResponse = CreatePullRequestResponse.CreatePullRequestResponse;
import * as CreatePullRequestAttachmentResponse from "./create-pull-request-attachment-response";
export import CreatePullRequestAttachmentResponse = CreatePullRequestAttachmentResponse.CreatePullRequestAttachmentResponse;
import * as CreatePullRequestCommentResponse from "./create-pull-request-comment-response";
export import CreatePullRequestCommentResponse = CreatePullRequestCommentResponse.CreatePullRequestCommentResponse;
import * as CreateRepositoryResponse from "./create-repository-response";
export import CreateRepositoryResponse = CreateRepositoryResponse.CreateRepositoryResponse;
import * as CreateTriggerResponse from "./create-trigger-response";
export import CreateTriggerResponse = CreateTriggerResponse.CreateTriggerResponse;
import * as DeclinePullRequestResponse from "./decline-pull-request-response";
export import DeclinePullRequestResponse = DeclinePullRequestResponse.DeclinePullRequestResponse;
import * as DeleteBuildPipelineResponse from "./delete-build-pipeline-response";
export import DeleteBuildPipelineResponse = DeleteBuildPipelineResponse.DeleteBuildPipelineResponse;
import * as DeleteBuildPipelineStageResponse from "./delete-build-pipeline-stage-response";
export import DeleteBuildPipelineStageResponse = DeleteBuildPipelineStageResponse.DeleteBuildPipelineStageResponse;
import * as DeleteConnectionResponse from "./delete-connection-response";
export import DeleteConnectionResponse = DeleteConnectionResponse.DeleteConnectionResponse;
import * as DeleteDeployArtifactResponse from "./delete-deploy-artifact-response";
export import DeleteDeployArtifactResponse = DeleteDeployArtifactResponse.DeleteDeployArtifactResponse;
import * as DeleteDeployEnvironmentResponse from "./delete-deploy-environment-response";
export import DeleteDeployEnvironmentResponse = DeleteDeployEnvironmentResponse.DeleteDeployEnvironmentResponse;
import * as DeleteDeployPipelineResponse from "./delete-deploy-pipeline-response";
export import DeleteDeployPipelineResponse = DeleteDeployPipelineResponse.DeleteDeployPipelineResponse;
import * as DeleteDeployStageResponse from "./delete-deploy-stage-response";
export import DeleteDeployStageResponse = DeleteDeployStageResponse.DeleteDeployStageResponse;
import * as DeleteGitRefResponse from "./delete-git-ref-response";
export import DeleteGitRefResponse = DeleteGitRefResponse.DeleteGitRefResponse;
import * as DeleteProjectResponse from "./delete-project-response";
export import DeleteProjectResponse = DeleteProjectResponse.DeleteProjectResponse;
import * as DeleteProjectRepositorySettingsResponse from "./delete-project-repository-settings-response";
export import DeleteProjectRepositorySettingsResponse = DeleteProjectRepositorySettingsResponse.DeleteProjectRepositorySettingsResponse;
import * as DeleteProtectedBranchResponse from "./delete-protected-branch-response";
export import DeleteProtectedBranchResponse = DeleteProtectedBranchResponse.DeleteProtectedBranchResponse;
import * as DeletePullRequestResponse from "./delete-pull-request-response";
export import DeletePullRequestResponse = DeletePullRequestResponse.DeletePullRequestResponse;
import * as DeletePullRequestAttachmentResponse from "./delete-pull-request-attachment-response";
export import DeletePullRequestAttachmentResponse = DeletePullRequestAttachmentResponse.DeletePullRequestAttachmentResponse;
import * as DeletePullRequestCommentResponse from "./delete-pull-request-comment-response";
export import DeletePullRequestCommentResponse = DeletePullRequestCommentResponse.DeletePullRequestCommentResponse;
import * as DeleteRefResponse from "./delete-ref-response";
export import DeleteRefResponse = DeleteRefResponse.DeleteRefResponse;
import * as DeleteRepositoryResponse from "./delete-repository-response";
export import DeleteRepositoryResponse = DeleteRepositoryResponse.DeleteRepositoryResponse;
import * as DeleteRepositorySettingsResponse from "./delete-repository-settings-response";
export import DeleteRepositorySettingsResponse = DeleteRepositorySettingsResponse.DeleteRepositorySettingsResponse;
import * as DeleteTriggerResponse from "./delete-trigger-response";
export import DeleteTriggerResponse = DeleteTriggerResponse.DeleteTriggerResponse;
import * as GetBuildPipelineResponse from "./get-build-pipeline-response";
export import GetBuildPipelineResponse = GetBuildPipelineResponse.GetBuildPipelineResponse;
import * as GetBuildPipelineStageResponse from "./get-build-pipeline-stage-response";
export import GetBuildPipelineStageResponse = GetBuildPipelineStageResponse.GetBuildPipelineStageResponse;
import * as GetBuildRunResponse from "./get-build-run-response";
export import GetBuildRunResponse = GetBuildRunResponse.GetBuildRunResponse;
import * as GetCommitResponse from "./get-commit-response";
export import GetCommitResponse = GetCommitResponse.GetCommitResponse;
import * as GetCommitDiffResponse from "./get-commit-diff-response";
export import GetCommitDiffResponse = GetCommitDiffResponse.GetCommitDiffResponse;
import * as GetConnectionResponse from "./get-connection-response";
export import GetConnectionResponse = GetConnectionResponse.GetConnectionResponse;
import * as GetDeployArtifactResponse from "./get-deploy-artifact-response";
export import GetDeployArtifactResponse = GetDeployArtifactResponse.GetDeployArtifactResponse;
import * as GetDeployEnvironmentResponse from "./get-deploy-environment-response";
export import GetDeployEnvironmentResponse = GetDeployEnvironmentResponse.GetDeployEnvironmentResponse;
import * as GetDeployPipelineResponse from "./get-deploy-pipeline-response";
export import GetDeployPipelineResponse = GetDeployPipelineResponse.GetDeployPipelineResponse;
import * as GetDeployStageResponse from "./get-deploy-stage-response";
export import GetDeployStageResponse = GetDeployStageResponse.GetDeployStageResponse;
import * as GetDeploymentResponse from "./get-deployment-response";
export import GetDeploymentResponse = GetDeploymentResponse.GetDeploymentResponse;
import * as GetFileDiffResponse from "./get-file-diff-response";
export import GetFileDiffResponse = GetFileDiffResponse.GetFileDiffResponse;
import * as GetMirrorRecordResponse from "./get-mirror-record-response";
export import GetMirrorRecordResponse = GetMirrorRecordResponse.GetMirrorRecordResponse;
import * as GetObjectResponse from "./get-object-response";
export import GetObjectResponse = GetObjectResponse.GetObjectResponse;
import * as GetObjectContentResponse from "./get-object-content-response";
export import GetObjectContentResponse = GetObjectContentResponse.GetObjectContentResponse;
import * as GetProjectResponse from "./get-project-response";
export import GetProjectResponse = GetProjectResponse.GetProjectResponse;
import * as GetProjectNotificationPreferenceResponse from "./get-project-notification-preference-response";
export import GetProjectNotificationPreferenceResponse = GetProjectNotificationPreferenceResponse.GetProjectNotificationPreferenceResponse;
import * as GetProjectRepositorySettingsResponse from "./get-project-repository-settings-response";
export import GetProjectRepositorySettingsResponse = GetProjectRepositorySettingsResponse.GetProjectRepositorySettingsResponse;
import * as GetPullRequestResponse from "./get-pull-request-response";
export import GetPullRequestResponse = GetPullRequestResponse.GetPullRequestResponse;
import * as GetPullRequestAttachmentResponse from "./get-pull-request-attachment-response";
export import GetPullRequestAttachmentResponse = GetPullRequestAttachmentResponse.GetPullRequestAttachmentResponse;
import * as GetPullRequestAttachmentContentResponse from "./get-pull-request-attachment-content-response";
export import GetPullRequestAttachmentContentResponse = GetPullRequestAttachmentContentResponse.GetPullRequestAttachmentContentResponse;
import * as GetPullRequestChangeSummaryMetricsResponse from "./get-pull-request-change-summary-metrics-response";
export import GetPullRequestChangeSummaryMetricsResponse = GetPullRequestChangeSummaryMetricsResponse.GetPullRequestChangeSummaryMetricsResponse;
import * as GetPullRequestCommentResponse from "./get-pull-request-comment-response";
export import GetPullRequestCommentResponse = GetPullRequestCommentResponse.GetPullRequestCommentResponse;
import * as GetPullRequestNotificationPreferenceResponse from "./get-pull-request-notification-preference-response";
export import GetPullRequestNotificationPreferenceResponse = GetPullRequestNotificationPreferenceResponse.GetPullRequestNotificationPreferenceResponse;
import * as GetRefResponse from "./get-ref-response";
export import GetRefResponse = GetRefResponse.GetRefResponse;
import * as GetRepoFileDiffResponse from "./get-repo-file-diff-response";
export import GetRepoFileDiffResponse = GetRepoFileDiffResponse.GetRepoFileDiffResponse;
import * as GetRepoFileLinesResponse from "./get-repo-file-lines-response";
export import GetRepoFileLinesResponse = GetRepoFileLinesResponse.GetRepoFileLinesResponse;
import * as GetRepositoryResponse from "./get-repository-response";
export import GetRepositoryResponse = GetRepositoryResponse.GetRepositoryResponse;
import * as GetRepositoryArchiveContentResponse from "./get-repository-archive-content-response";
export import GetRepositoryArchiveContentResponse = GetRepositoryArchiveContentResponse.GetRepositoryArchiveContentResponse;
import * as GetRepositoryFileLinesResponse from "./get-repository-file-lines-response";
export import GetRepositoryFileLinesResponse = GetRepositoryFileLinesResponse.GetRepositoryFileLinesResponse;
import * as GetRepositoryNotificationPreferenceResponse from "./get-repository-notification-preference-response";
export import GetRepositoryNotificationPreferenceResponse = GetRepositoryNotificationPreferenceResponse.GetRepositoryNotificationPreferenceResponse;
import * as GetRepositorySettingsResponse from "./get-repository-settings-response";
export import GetRepositorySettingsResponse = GetRepositorySettingsResponse.GetRepositorySettingsResponse;
import * as GetTriggerResponse from "./get-trigger-response";
export import GetTriggerResponse = GetTriggerResponse.GetTriggerResponse;
import * as GetWorkRequestResponse from "./get-work-request-response";
export import GetWorkRequestResponse = GetWorkRequestResponse.GetWorkRequestResponse;
import * as LikePullRequestCommentResponse from "./like-pull-request-comment-response";
export import LikePullRequestCommentResponse = LikePullRequestCommentResponse.LikePullRequestCommentResponse;
import * as ListAuthorsResponse from "./list-authors-response";
export import ListAuthorsResponse = ListAuthorsResponse.ListAuthorsResponse;
import * as ListBuildPipelineStagesResponse from "./list-build-pipeline-stages-response";
export import ListBuildPipelineStagesResponse = ListBuildPipelineStagesResponse.ListBuildPipelineStagesResponse;
import * as ListBuildPipelinesResponse from "./list-build-pipelines-response";
export import ListBuildPipelinesResponse = ListBuildPipelinesResponse.ListBuildPipelinesResponse;
import * as ListBuildRunSnapshotsResponse from "./list-build-run-snapshots-response";
export import ListBuildRunSnapshotsResponse = ListBuildRunSnapshotsResponse.ListBuildRunSnapshotsResponse;
import * as ListBuildRunsResponse from "./list-build-runs-response";
export import ListBuildRunsResponse = ListBuildRunsResponse.ListBuildRunsResponse;
import * as ListCommitDiffsResponse from "./list-commit-diffs-response";
export import ListCommitDiffsResponse = ListCommitDiffsResponse.ListCommitDiffsResponse;
import * as ListCommitsResponse from "./list-commits-response";
export import ListCommitsResponse = ListCommitsResponse.ListCommitsResponse;
import * as ListConnectionsResponse from "./list-connections-response";
export import ListConnectionsResponse = ListConnectionsResponse.ListConnectionsResponse;
import * as ListDeployArtifactsResponse from "./list-deploy-artifacts-response";
export import ListDeployArtifactsResponse = ListDeployArtifactsResponse.ListDeployArtifactsResponse;
import * as ListDeployEnvironmentsResponse from "./list-deploy-environments-response";
export import ListDeployEnvironmentsResponse = ListDeployEnvironmentsResponse.ListDeployEnvironmentsResponse;
import * as ListDeployPipelinesResponse from "./list-deploy-pipelines-response";
export import ListDeployPipelinesResponse = ListDeployPipelinesResponse.ListDeployPipelinesResponse;
import * as ListDeployStagesResponse from "./list-deploy-stages-response";
export import ListDeployStagesResponse = ListDeployStagesResponse.ListDeployStagesResponse;
import * as ListDeploymentsResponse from "./list-deployments-response";
export import ListDeploymentsResponse = ListDeploymentsResponse.ListDeploymentsResponse;
import * as ListForkSyncStatusesResponse from "./list-fork-sync-statuses-response";
export import ListForkSyncStatusesResponse = ListForkSyncStatusesResponse.ListForkSyncStatusesResponse;
import * as ListMirrorRecordsResponse from "./list-mirror-records-response";
export import ListMirrorRecordsResponse = ListMirrorRecordsResponse.ListMirrorRecordsResponse;
import * as ListPathsResponse from "./list-paths-response";
export import ListPathsResponse = ListPathsResponse.ListPathsResponse;
import * as ListProjectCommitAnalyticsAuthorsResponse from "./list-project-commit-analytics-authors-response";
export import ListProjectCommitAnalyticsAuthorsResponse = ListProjectCommitAnalyticsAuthorsResponse.ListProjectCommitAnalyticsAuthorsResponse;
import * as ListProjectsResponse from "./list-projects-response";
export import ListProjectsResponse = ListProjectsResponse.ListProjectsResponse;
import * as ListProtectedBranchesResponse from "./list-protected-branches-response";
export import ListProtectedBranchesResponse = ListProtectedBranchesResponse.ListProtectedBranchesResponse;
import * as ListPullRequestActivitiesResponse from "./list-pull-request-activities-response";
export import ListPullRequestActivitiesResponse = ListPullRequestActivitiesResponse.ListPullRequestActivitiesResponse;
import * as ListPullRequestAttachmentsResponse from "./list-pull-request-attachments-response";
export import ListPullRequestAttachmentsResponse = ListPullRequestAttachmentsResponse.ListPullRequestAttachmentsResponse;
import * as ListPullRequestAuthorsResponse from "./list-pull-request-authors-response";
export import ListPullRequestAuthorsResponse = ListPullRequestAuthorsResponse.ListPullRequestAuthorsResponse;
import * as ListPullRequestCommentsResponse from "./list-pull-request-comments-response";
export import ListPullRequestCommentsResponse = ListPullRequestCommentsResponse.ListPullRequestCommentsResponse;
import * as ListPullRequestCommitsResponse from "./list-pull-request-commits-response";
export import ListPullRequestCommitsResponse = ListPullRequestCommitsResponse.ListPullRequestCommitsResponse;
import * as ListPullRequestFileChangesResponse from "./list-pull-request-file-changes-response";
export import ListPullRequestFileChangesResponse = ListPullRequestFileChangesResponse.ListPullRequestFileChangesResponse;
import * as ListPullRequestsResponse from "./list-pull-requests-response";
export import ListPullRequestsResponse = ListPullRequestsResponse.ListPullRequestsResponse;
import * as ListRefsResponse from "./list-refs-response";
export import ListRefsResponse = ListRefsResponse.ListRefsResponse;
import * as ListRepositoriesResponse from "./list-repositories-response";
export import ListRepositoriesResponse = ListRepositoriesResponse.ListRepositoriesResponse;
import * as ListRepositoryCommitAnalyticsAuthorsResponse from "./list-repository-commit-analytics-authors-response";
export import ListRepositoryCommitAnalyticsAuthorsResponse = ListRepositoryCommitAnalyticsAuthorsResponse.ListRepositoryCommitAnalyticsAuthorsResponse;
import * as ListTriggersResponse from "./list-triggers-response";
export import ListTriggersResponse = ListTriggersResponse.ListTriggersResponse;
import * as ListWorkRequestErrorsResponse from "./list-work-request-errors-response";
export import ListWorkRequestErrorsResponse = ListWorkRequestErrorsResponse.ListWorkRequestErrorsResponse;
import * as ListWorkRequestLogsResponse from "./list-work-request-logs-response";
export import ListWorkRequestLogsResponse = ListWorkRequestLogsResponse.ListWorkRequestLogsResponse;
import * as ListWorkRequestsResponse from "./list-work-requests-response";
export import ListWorkRequestsResponse = ListWorkRequestsResponse.ListWorkRequestsResponse;
import * as MergePullRequestResponse from "./merge-pull-request-response";
export import MergePullRequestResponse = MergePullRequestResponse.MergePullRequestResponse;
import * as MirrorRepositoryResponse from "./mirror-repository-response";
export import MirrorRepositoryResponse = MirrorRepositoryResponse.MirrorRepositoryResponse;
import * as PatchPullRequestResponse from "./patch-pull-request-response";
export import PatchPullRequestResponse = PatchPullRequestResponse.PatchPullRequestResponse;
import * as PutRepositoryRefResponse from "./put-repository-ref-response";
export import PutRepositoryRefResponse = PutRepositoryRefResponse.PutRepositoryRefResponse;
import * as ReopenPullRequestResponse from "./reopen-pull-request-response";
export import ReopenPullRequestResponse = ReopenPullRequestResponse.ReopenPullRequestResponse;
import * as ReviewPullRequestResponse from "./review-pull-request-response";
export import ReviewPullRequestResponse = ReviewPullRequestResponse.ReviewPullRequestResponse;
import * as ScheduleCascadingProjectDeletionResponse from "./schedule-cascading-project-deletion-response";
export import ScheduleCascadingProjectDeletionResponse = ScheduleCascadingProjectDeletionResponse.ScheduleCascadingProjectDeletionResponse;
import * as SummarizeProjectRepositoryAnalyticsResponse from "./summarize-project-repository-analytics-response";
export import SummarizeProjectRepositoryAnalyticsResponse = SummarizeProjectRepositoryAnalyticsResponse.SummarizeProjectRepositoryAnalyticsResponse;
import * as SummarizeRepositoryAnalyticsResponse from "./summarize-repository-analytics-response";
export import SummarizeRepositoryAnalyticsResponse = SummarizeRepositoryAnalyticsResponse.SummarizeRepositoryAnalyticsResponse;
import * as SyncRepositoryResponse from "./sync-repository-response";
export import SyncRepositoryResponse = SyncRepositoryResponse.SyncRepositoryResponse;
import * as UnlikePullRequestCommentResponse from "./unlike-pull-request-comment-response";
export import UnlikePullRequestCommentResponse = UnlikePullRequestCommentResponse.UnlikePullRequestCommentResponse;
import * as UnsubscribePullRequestResponse from "./unsubscribe-pull-request-response";
export import UnsubscribePullRequestResponse = UnsubscribePullRequestResponse.UnsubscribePullRequestResponse;
import * as UpdateBuildPipelineResponse from "./update-build-pipeline-response";
export import UpdateBuildPipelineResponse = UpdateBuildPipelineResponse.UpdateBuildPipelineResponse;
import * as UpdateBuildPipelineStageResponse from "./update-build-pipeline-stage-response";
export import UpdateBuildPipelineStageResponse = UpdateBuildPipelineStageResponse.UpdateBuildPipelineStageResponse;
import * as UpdateBuildRunResponse from "./update-build-run-response";
export import UpdateBuildRunResponse = UpdateBuildRunResponse.UpdateBuildRunResponse;
import * as UpdateConnectionResponse from "./update-connection-response";
export import UpdateConnectionResponse = UpdateConnectionResponse.UpdateConnectionResponse;
import * as UpdateDeployArtifactResponse from "./update-deploy-artifact-response";
export import UpdateDeployArtifactResponse = UpdateDeployArtifactResponse.UpdateDeployArtifactResponse;
import * as UpdateDeployEnvironmentResponse from "./update-deploy-environment-response";
export import UpdateDeployEnvironmentResponse = UpdateDeployEnvironmentResponse.UpdateDeployEnvironmentResponse;
import * as UpdateDeployPipelineResponse from "./update-deploy-pipeline-response";
export import UpdateDeployPipelineResponse = UpdateDeployPipelineResponse.UpdateDeployPipelineResponse;
import * as UpdateDeployStageResponse from "./update-deploy-stage-response";
export import UpdateDeployStageResponse = UpdateDeployStageResponse.UpdateDeployStageResponse;
import * as UpdateDeploymentResponse from "./update-deployment-response";
export import UpdateDeploymentResponse = UpdateDeploymentResponse.UpdateDeploymentResponse;
import * as UpdateProjectResponse from "./update-project-response";
export import UpdateProjectResponse = UpdateProjectResponse.UpdateProjectResponse;
import * as UpdateProjectNotificationPreferenceResponse from "./update-project-notification-preference-response";
export import UpdateProjectNotificationPreferenceResponse = UpdateProjectNotificationPreferenceResponse.UpdateProjectNotificationPreferenceResponse;
import * as UpdateProjectRepositorySettingsResponse from "./update-project-repository-settings-response";
export import UpdateProjectRepositorySettingsResponse = UpdateProjectRepositorySettingsResponse.UpdateProjectRepositorySettingsResponse;
import * as UpdatePullRequestResponse from "./update-pull-request-response";
export import UpdatePullRequestResponse = UpdatePullRequestResponse.UpdatePullRequestResponse;
import * as UpdatePullRequestCommentResponse from "./update-pull-request-comment-response";
export import UpdatePullRequestCommentResponse = UpdatePullRequestCommentResponse.UpdatePullRequestCommentResponse;
import * as UpdatePullRequestNotificationPreferenceResponse from "./update-pull-request-notification-preference-response";
export import UpdatePullRequestNotificationPreferenceResponse = UpdatePullRequestNotificationPreferenceResponse.UpdatePullRequestNotificationPreferenceResponse;
import * as UpdateRepositoryResponse from "./update-repository-response";
export import UpdateRepositoryResponse = UpdateRepositoryResponse.UpdateRepositoryResponse;
import * as UpdateRepositoryNotificationPreferenceResponse from "./update-repository-notification-preference-response";
export import UpdateRepositoryNotificationPreferenceResponse = UpdateRepositoryNotificationPreferenceResponse.UpdateRepositoryNotificationPreferenceResponse;
import * as UpdateRepositorySettingsResponse from "./update-repository-settings-response";
export import UpdateRepositorySettingsResponse = UpdateRepositorySettingsResponse.UpdateRepositorySettingsResponse;
import * as UpdateTriggerResponse from "./update-trigger-response";
export import UpdateTriggerResponse = UpdateTriggerResponse.UpdateTriggerResponse;
import * as ValidateConnectionResponse from "./validate-connection-response";
export import ValidateConnectionResponse = ValidateConnectionResponse.ValidateConnectionResponse;
