/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (DR) API to manage disaster recovery for business applications.
Full Stack DR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster
recovery capabilities for all layers of an application stack, including infrastructure, middleware, database,
and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The details for creating the operations performed on a block volume.
 *
 */
export interface CreateComputeInstanceNonMovableBlockVolumeAttachAndMountOperationsDetails {
    /**
     * A list of details of attach or detach operations performed on block volumes.
     *
     */
    "attachments"?: Array<model.CreateComputeInstanceNonMovableBlockVolumeAttachOperationDetails>;
    /**
     * A list of details of mount operations performed on block volumes.
     *
     */
    "mounts"?: Array<model.CreateComputeInstanceNonMovableBlockVolumeMountOperationDetails>;
}
export declare namespace CreateComputeInstanceNonMovableBlockVolumeAttachAndMountOperationsDetails {
    function getJsonObj(obj: CreateComputeInstanceNonMovableBlockVolumeAttachAndMountOperationsDetails): object;
    function getDeserializedJsonObj(obj: CreateComputeInstanceNonMovableBlockVolumeAttachAndMountOperationsDetails): object;
}
