"use strict";
/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (DR) API to manage disaster recovery for business applications.
Full Stack DR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster
recovery capabilities for all layers of an application stack, including infrastructure, middleware, database,
and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.DrPlanLifecycleSubState = void 0;
/**
 * The secondary lifecycle states of a DR plan. Provides information in addition to the lifecycle state.
 * - NEEDS_REFRESH - The DR plan needs a refresh.
 * - NEEDS_VERIFICATION - The DR plan needs verification.
 * - REFRESHING - The DR plan is being updated due to a plan refresh.
 * - VERIFYING - The DR plan is being updated due to a plan verification.
 *
 **/
var DrPlanLifecycleSubState;
(function (DrPlanLifecycleSubState) {
    DrPlanLifecycleSubState["NeedsRefresh"] = "NEEDS_REFRESH";
    DrPlanLifecycleSubState["NeedsVerification"] = "NEEDS_VERIFICATION";
    DrPlanLifecycleSubState["Refreshing"] = "REFRESHING";
    DrPlanLifecycleSubState["Verifying"] = "VERIFYING";
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    DrPlanLifecycleSubState["UnknownValue"] = "UNKNOWN_VALUE";
})(DrPlanLifecycleSubState = exports.DrPlanLifecycleSubState || (exports.DrPlanLifecycleSubState = {}));
(function (DrPlanLifecycleSubState) {
    function getJsonObj(obj) {
        return obj;
    }
    DrPlanLifecycleSubState.getJsonObj = getJsonObj;
    function getDeserializedJsonObj(obj) {
        return obj;
    }
    DrPlanLifecycleSubState.getDeserializedJsonObj = getDeserializedJsonObj;
})(DrPlanLifecycleSubState = exports.DrPlanLifecycleSubState || (exports.DrPlanLifecycleSubState = {}));
//# sourceMappingURL=dr-plan-lifecycle-sub-state.js.map