/**
 *
 *
 * OpenAPI spec version: 20171215
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import common = require("oci-common");
/**
 * @example Click {@link https://docs.oracle.com/en-us/iaas/tools/typescript-sdk-examples/latest/filestorage/ListQuotaRules.ts.html |here} to see how to use ListQuotaRulesRequest.
 */
export interface ListQuotaRulesRequest extends common.BaseRequest {
    /**
     * The [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the file system.
     */
    "fileSystemId": string;
    /**
     * The type of the owner of this quota rule and usage.
     *
     */
    "principalType": ListQuotaRulesRequest.PrincipalType;
    /**
   * For list pagination. The maximum number of results per page,
  * or items to return in a paginated \"List\" call.
  * 1 is the minimum, 4096 is the maximum.
  * <p>
  For important details about how pagination works,
  * see [List Pagination](https://docs.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine).
  * <p>
  Example: {@code 500}
  *
   */
    "limit"?: number;
    /**
   * For list pagination. The value of the {@code opc-next-page} response
  * header from the previous \"List\" call.
  * <p>
  For important details about how pagination works,
  * see [List Pagination](https://docs.oracle.com/iaas/Content/API/Concepts/usingapi.htm#nine).
  *
   */
    "page"?: string;
    /**
     * An identifier for the user or the group associated with quota rule and usage. UNIX-like operating systems use this integer value to
     * identify a user or group to manage access control.
     *
     */
    "principalId"?: number;
    /**
     * An option to display only the users or groups that violate their quota rules.
     * If {@code areViolatorsOnly} is false, results report all the quota and usage.
     * If {@code areViolatorsOnly} is true, results only report the quota and usage for
     * the users or groups that violate their quota rules.
     *
     */
    "areViolatorsOnly"?: boolean;
    /**
     * The sort order to use, either 'asc' or 'desc', where 'asc' is
     * ascending and 'desc' is descending. The default order is 'desc'
     * except for numeric values.
     *
     */
    "sortOrder"?: ListQuotaRulesRequest.SortOrder;
    /**
     * For optimistic concurrency control. In the PUT or DELETE call
     * for a resource, set the {@code if-match} parameter to the value of the
     * etag from a previous GET or POST response for that resource.
     * The resource will be updated or deleted only if the etag you
     * provide matches the resource's current etag value.
     *
     */
    "ifMatch"?: string;
    /**
     * Unique identifier for the request.
     * If you need to contact Oracle about a particular request, please provide the request ID.
     *
     */
    "opcRequestId"?: string;
}
export declare namespace ListQuotaRulesRequest {
    enum PrincipalType {
        FileSystemLevel = "FILE_SYSTEM_LEVEL",
        DefaultGroup = "DEFAULT_GROUP",
        DefaultUser = "DEFAULT_USER",
        IndividualGroup = "INDIVIDUAL_GROUP",
        IndividualUser = "INDIVIDUAL_USER"
    }
    enum SortOrder {
        Asc = "ASC",
        Desc = "DESC"
    }
}
