/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20230831
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as serviceRequests from "./request";
import * as serviceResponses from "./response";
import * as models from "./model";
import { FleetAppsManagementMaintenanceWindowClient } from "./client";
export declare class FleetAppsManagementMaintenanceWindowWaiter {
    private client;
    private readonly config?;
    constructor(client: FleetAppsManagementMaintenanceWindowClient, config?: Partial<import("oci-common/lib/waiter").WaiterConfigurationDetails> | undefined);
    /**
     * Waits forMaintenanceWindow till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetMaintenanceWindowResponse | null (null in case of 404 response)
     */
    forMaintenanceWindow(request: serviceRequests.GetMaintenanceWindowRequest, ...targetStates: models.MaintenanceWindow.LifecycleState[]): Promise<serviceResponses.GetMaintenanceWindowResponse | null>;
}
