/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20230831
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as serviceRequests from "./request";
import * as serviceResponses from "./response";
import * as models from "./model";
import { FleetAppsManagementOperationsClient } from "./client";
export declare class FleetAppsManagementOperationsWaiter {
    private client;
    private readonly config?;
    constructor(client: FleetAppsManagementOperationsClient, config?: Partial<import("oci-common/lib/waiter").WaiterConfigurationDetails> | undefined);
    /**
     * Waits forPatch till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetPatchResponse | null (null in case of 404 response)
     */
    forPatch(request: serviceRequests.GetPatchRequest, ...targetStates: models.Patch.LifecycleState[]): Promise<serviceResponses.GetPatchResponse | null>;
    /**
     * Waits forSchedulerDefinition till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetSchedulerDefinitionResponse | null (null in case of 404 response)
     */
    forSchedulerDefinition(request: serviceRequests.GetSchedulerDefinitionRequest, ...targetStates: models.SchedulerDefinition.LifecycleState[]): Promise<serviceResponses.GetSchedulerDefinitionResponse | null>;
    /**
     * Waits forSchedulerJob till it reaches any of the provided states
     *
     * @param request the request to send
     * @param targetStates the desired states to wait for. The waiter will return once the resource reaches any of the provided states
     * @return response returns GetSchedulerJobResponse | null (null in case of 404 response)
     */
    forSchedulerJob(request: serviceRequests.GetSchedulerJobRequest, ...targetStates: models.SchedulerJob.LifecycleState[]): Promise<serviceResponses.GetSchedulerJobResponse | null>;
}
