/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20230831
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The information about associated FleetCredential.
 */
export interface AssociatedFleetCredentialDetails {
    /**
      * A user-friendly name. Does not have to be unique, and it's changeable.
  * Avoid entering confidential information.
  * <p>
  Example: {@code My new resource}
  *
      */
    "displayName": string;
    /**
     * Tenancy OCID
     */
    "compartmentId": string;
    "entitySpecifics": model.TargetCredentialEntitySpecificDetails | model.FleetCredentialEntitySpecificDetails | model.ResourceCredentialEntitySpecificDetails;
    "user": model.PlainTextCredentialDetails | model.KeyEncryptionCredentialDetails | model.VaultSecretCredentialDetails;
    "password": model.PlainTextCredentialDetails | model.KeyEncryptionCredentialDetails | model.VaultSecretCredentialDetails;
}
export declare namespace AssociatedFleetCredentialDetails {
    function getJsonObj(obj: AssociatedFleetCredentialDetails): object;
    function getDeserializedJsonObj(obj: AssociatedFleetCredentialDetails): object;
}
