/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20230831
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Details of the Resource
 */
export interface ComplianceReportResource {
    /**
     * The OCID to identify the resource.
     */
    "resourceId": string;
    /**
     * Display name of the resource.
     */
    "resourceName": string;
    /**
     * Type of the resource.
     */
    "resourceType": string;
    /**
     * TenancyId of the resource.
     */
    "tenancyId"?: string;
    /**
     * Tenancy the resource belongs to.
     */
    "tenancyName"?: string;
    /**
     * Compartment the resource belongs to.
     */
    "compartment"?: string;
    /**
     * The region the resource belongs to.
     */
    "resourceRegion"?: string;
    /**
     * The last known compliance state of the fleet.
     */
    "complianceState": model.ComplianceState;
    /**
     * Products associated with the Fleet.
     * Only the products belonging to managed targets will be shown.
     *
     */
    "products"?: Array<model.ComplianceReportProduct>;
}
export declare namespace ComplianceReportResource {
    function getJsonObj(obj: ComplianceReportResource): object;
    function getDeserializedJsonObj(obj: ComplianceReportResource): object;
}
