/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20230831
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Rule condition
 */
export interface Condition {
    /**
     * Attribute Group. Provide a Tag namespace if the rule is based on a tag.
     * Provide resource type if the rule is based on a resource property.
     *
     */
    "attrGroup": string;
    /**
     * Attribute Key.Provide Tag key if the rule is based on a tag.
     * Provide resource property name if the rule is based on a resource property.
     *
     */
    "attrKey": string;
    /**
     * Attribute Value.Provide Tag value if the rule is based on a tag.
     * Provide resource property value if the rule is based on a resource property.
     *
     */
    "attrValue": string;
}
export declare namespace Condition {
    function getJsonObj(obj: Condition): object;
    function getDeserializedJsonObj(obj: Condition): object;
}
