/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20230831
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary of a Fleet.A fleet is a collection or grouping of resources based on criteria.
 *
 */
export interface FleetSummary {
    /**
     * The OCID of the resource.
     */
    "id": string;
    /**
     * Tenancy OCID
     */
    "compartmentId": string;
    /**
     * Associated region
     */
    "resourceRegion"?: string;
    /**
      * A user-friendly name. Does not have to be unique, and it's changeable.
  * Avoid entering confidential information.
  * <p>
  Example: {@code My new resource}
  *
      */
    "displayName": string;
    /**
     * The time this resource was created. An RFC3339 formatted datetime string.
     */
    "timeCreated": Date;
    /**
     * The time this resource was last updated. An RFC3339 formatted datetime string.
     */
    "timeUpdated"?: Date;
    /**
     * Type of the Fleet.
     * PRODUCT - A fleet of product-specific resources for a product type.
     * ENVIRONMENT - A fleet of environment-specific resources for a product stack.
     * GROUP - A fleet of a fleet of either environment or product fleets.
     * GENERIC - A fleet of resources selected dynamically or manually for reporting purposes
     *
     */
    "fleetType": string;
    /**
     * Environment Type associated with the Fleet.
     * Applicable for ENVIRONMENT fleet types.
     *
     */
    "environmentType"?: string;
    /**
     * The lifecycle state of the Fleet.
     */
    "lifecycleState": string;
    /**
     * A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in Failed state.
     */
    "lifecycleDetails"?: string;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * System tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace FleetSummary {
    function getJsonObj(obj: FleetSummary): object;
    function getDeserializedJsonObj(obj: FleetSummary): object;
}
