/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20230831
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Summary of the Fleet Application Management Onboarding.
 */
export interface OnboardingSummary {
    /**
     * The unique id of the resource.
     */
    "id": string;
    /**
     * Tenancy OCID
     */
    "compartmentId": string;
    /**
     * Associated region
     */
    "resourceRegion"?: string;
    /**
     * The time this resource was created. An RFC3339 formatted datetime string.
     */
    "timeCreated"?: Date;
    /**
     * The time this resource was last updated. An RFC3339 formatted datetime string.
     */
    "timeUpdated"?: Date;
    /**
     * A value determining if the Fleet Application Management tagging is enabled or not.
     * Allow Fleet Application Management to tag resources with fleet name using \"Oracle$FAMS-Tags.FleetName\" tag.
     *
     */
    "isFamsTagEnabled"?: boolean;
    /**
     * The version of Fleet Application Management that the tenant is onboarded to.
     */
    "version"?: string;
    /**
     * A value determining if the cost tracking tag is enabled or not.
     * Allow Fleet Application Management to tag resources with cost tracking tag using \"Oracle$FAMS-Tags.FAMSManaged\" tag.
     *
     */
    "isCostTrackingTagEnabled"?: boolean;
    "appliedPolicies"?: model.OnboardingPolicySummary;
    /**
     * Provide discovery frequency.
     */
    "discoveryFrequency"?: string;
    /**
     * The current state of the Onboarding.
     */
    "lifecycleState": string;
    /**
     * System tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace OnboardingSummary {
    function getJsonObj(obj: OnboardingSummary): object;
    function getDeserializedJsonObj(obj: OnboardingSummary): object;
}
