/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20230831
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * ProductStack Config Category Details.
 * Defines suite or stack of products on which applications hosted by the resources are built and need to be managed.
 *
 */
export interface ProductStackConfigCategoryDetails extends model.ConfigCategoryDetails {
    /**
     * Products that belong to the stack.
     * For example, Oracle WebLogic and Java for the Oracle Fusion Middleware product stack.
     *
     */
    "products": Array<model.ConfigAssociationDetails>;
    "subCategoryDetails"?: model.ProductStackAsProductSubCategoryDetails | model.ProductStackGenericSubCategoryDetails;
    "configCategory": string;
}
export declare namespace ProductStackConfigCategoryDetails {
    function getJsonObj(obj: ProductStackConfigCategoryDetails, isParentJsonObj?: boolean): object;
    const configCategory = "PRODUCT_STACK";
    function getDeserializedJsonObj(obj: ProductStackConfigCategoryDetails, isParentJsonObj?: boolean): object;
}
