/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20230831
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A specific product version or a specific version and succeeding.
 * Example: 12.1 or 12.1 and above for Oracle WebLogic Application server.
 * The policy applies to the next version only, and not to other versions such as, 12.1.x.
 *
 */
export interface ProductVersionDetails {
    /**
     * Product version the rule is applicable.
     */
    "version": string;
    /**
     * Is rule applicable to all higher versions also
     */
    "isApplicableForAllHigherVersions"?: boolean;
}
export declare namespace ProductVersionDetails {
    function getJsonObj(obj: ProductVersionDetails): object;
    function getDeserializedJsonObj(obj: ProductVersionDetails): object;
}
