"use strict";
/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20230831
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScriptBasedExecutionDetails = void 0;
const model = __importStar(require("../model"));
var ScriptBasedExecutionDetails;
(function (ScriptBasedExecutionDetails) {
    function getJsonObj(obj, isParentJsonObj) {
        const jsonObj = Object.assign(Object.assign({}, (isParentJsonObj
            ? obj
            : model.ExecutionDetails.getJsonObj(obj))), {
            "variables": obj.variables ? model.TaskVariable.getJsonObj(obj.variables) : undefined,
            "content": obj.content ? model.ContentDetails.getJsonObj(obj.content) : undefined,
            "credentials": obj.credentials
                ? obj.credentials.map(item => {
                    return model.ConfigAssociationDetails.getJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    ScriptBasedExecutionDetails.getJsonObj = getJsonObj;
    ScriptBasedExecutionDetails.executionType = "SCRIPT";
    function getDeserializedJsonObj(obj, isParentJsonObj) {
        const jsonObj = Object.assign(Object.assign({}, (isParentJsonObj
            ? obj
            : model.ExecutionDetails.getDeserializedJsonObj(obj))), {
            "variables": obj.variables
                ? model.TaskVariable.getDeserializedJsonObj(obj.variables)
                : undefined,
            "content": obj.content
                ? model.ContentDetails.getDeserializedJsonObj(obj.content)
                : undefined,
            "credentials": obj.credentials
                ? obj.credentials.map(item => {
                    return model.ConfigAssociationDetails.getDeserializedJsonObj(item);
                })
                : undefined
        });
        return jsonObj;
    }
    ScriptBasedExecutionDetails.getDeserializedJsonObj = getDeserializedJsonObj;
})(ScriptBasedExecutionDetails = exports.ScriptBasedExecutionDetails || (exports.ScriptBasedExecutionDetails = {}));
//# sourceMappingURL=script-based-execution-details.js.map