/**
 * Fleet Application Management Service API
 * Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.

 * OpenAPI spec version: 20230831
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Secret details.
 */
export interface VaultSecretCredentialDetails extends model.CredentialDetails {
    /**
     * The [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the secret.
     */
    "secretId": string;
    /**
     * The secret version.
     */
    "secretVersion"?: string;
    "credentialType": string;
}
export declare namespace VaultSecretCredentialDetails {
    function getJsonObj(obj: VaultSecretCredentialDetails, isParentJsonObj?: boolean): object;
    const credentialType = "VAULT_SECRET";
    function getDeserializedJsonObj(obj: VaultSecretCredentialDetails, isParentJsonObj?: boolean): object;
}
