/**
 *
 *
 * OpenAPI spec version: 20230831
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.oracle.com/en-us/iaas/tools/typescript-sdk-examples/latest/fleetappsmanagement/ListFleets.ts.html |here} to see how to use ListFleetsRequest.
 */
export interface ListFleetsRequest extends common.BaseRequest {
    /**
     * A filter to return fleets whose lifecycleState matches the given lifecycleState.
     */
    "lifecycleState"?: string;
    /**
     * The ID of the compartment in which to list resources.
     */
    "compartmentId"?: string;
    /**
     * A filter to return fleets whose fleetType matches the given fleetType.
     */
    "fleetType"?: string;
    /**
     * A filter to return resources that match the Application Type/Product Stack given..
     */
    "applicationType"?: string;
    /**
     * A filter to return resources that match the Product given.
     */
    "product"?: string;
    /**
     * A filter to return resources that match the Environment Type given.
     */
    "environmentType"?: string;
    /**
     * A filter to return only resources that match the entire display name given.
     */
    "displayName"?: string;
    /**
     * A filter to return fleets whose id matches the given Fleet identifier
     */
    "id"?: string;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * A token representing the position at which to start retrieving results. This must come from the {@code opc-next-page} header field of a previous response.
     */
    "page"?: string;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending.
     *
     */
    "sortBy"?: ListFleetsRequest.SortBy;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
}
export declare namespace ListFleetsRequest {
    enum SortBy {
        TimeCreated = "timeCreated",
        DisplayName = "displayName"
    }
}
