/**
 * Generative AI Agents Management API
 * OCI Generative AI Agents is a fully managed service that combines the power of large language models (LLMs) with an intelligent retrieval system to create contextually relevant answers by searching your knowledge base, making your AI applications smart and efficient.

OCI Generative AI Agents supports several ways to onboard your data and then allows you and your customers to interact with your data using a chat interface or API.

Use the Generative AI Agents API to create and manage agents, knowledge bases, data sources, endpoints, data ingestion jobs, and work requests.

For creating and managing client chat sessions see the {@link #eNGenerative-ai-agents-clientLatest(ENGenerative-ai-agents-clientLatestRequest) eNGenerative-ai-agents-clientLatest}.

To learn more about the service, see the [Generative AI Agents documentation](https://docs.oracle.com/iaas/Content/generative-ai-agents/home.htm).

 * OpenAPI spec version: 20240531
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as CancelWorkRequestRequest from "./cancel-work-request-request";
export import CancelWorkRequestRequest = CancelWorkRequestRequest.CancelWorkRequestRequest;
import * as ChangeAgentCompartmentRequest from "./change-agent-compartment-request";
export import ChangeAgentCompartmentRequest = ChangeAgentCompartmentRequest.ChangeAgentCompartmentRequest;
import * as ChangeAgentEndpointCompartmentRequest from "./change-agent-endpoint-compartment-request";
export import ChangeAgentEndpointCompartmentRequest = ChangeAgentEndpointCompartmentRequest.ChangeAgentEndpointCompartmentRequest;
import * as ChangeKnowledgeBaseCompartmentRequest from "./change-knowledge-base-compartment-request";
export import ChangeKnowledgeBaseCompartmentRequest = ChangeKnowledgeBaseCompartmentRequest.ChangeKnowledgeBaseCompartmentRequest;
import * as CreateAgentRequest from "./create-agent-request";
export import CreateAgentRequest = CreateAgentRequest.CreateAgentRequest;
import * as CreateAgentEndpointRequest from "./create-agent-endpoint-request";
export import CreateAgentEndpointRequest = CreateAgentEndpointRequest.CreateAgentEndpointRequest;
import * as CreateDataIngestionJobRequest from "./create-data-ingestion-job-request";
export import CreateDataIngestionJobRequest = CreateDataIngestionJobRequest.CreateDataIngestionJobRequest;
import * as CreateDataSourceRequest from "./create-data-source-request";
export import CreateDataSourceRequest = CreateDataSourceRequest.CreateDataSourceRequest;
import * as CreateKnowledgeBaseRequest from "./create-knowledge-base-request";
export import CreateKnowledgeBaseRequest = CreateKnowledgeBaseRequest.CreateKnowledgeBaseRequest;
import * as CreateToolRequest from "./create-tool-request";
export import CreateToolRequest = CreateToolRequest.CreateToolRequest;
import * as DeleteAgentRequest from "./delete-agent-request";
export import DeleteAgentRequest = DeleteAgentRequest.DeleteAgentRequest;
import * as DeleteAgentEndpointRequest from "./delete-agent-endpoint-request";
export import DeleteAgentEndpointRequest = DeleteAgentEndpointRequest.DeleteAgentEndpointRequest;
import * as DeleteDataIngestionJobRequest from "./delete-data-ingestion-job-request";
export import DeleteDataIngestionJobRequest = DeleteDataIngestionJobRequest.DeleteDataIngestionJobRequest;
import * as DeleteDataSourceRequest from "./delete-data-source-request";
export import DeleteDataSourceRequest = DeleteDataSourceRequest.DeleteDataSourceRequest;
import * as DeleteKnowledgeBaseRequest from "./delete-knowledge-base-request";
export import DeleteKnowledgeBaseRequest = DeleteKnowledgeBaseRequest.DeleteKnowledgeBaseRequest;
import * as DeleteToolRequest from "./delete-tool-request";
export import DeleteToolRequest = DeleteToolRequest.DeleteToolRequest;
import * as GetAgentRequest from "./get-agent-request";
export import GetAgentRequest = GetAgentRequest.GetAgentRequest;
import * as GetAgentEndpointRequest from "./get-agent-endpoint-request";
export import GetAgentEndpointRequest = GetAgentEndpointRequest.GetAgentEndpointRequest;
import * as GetDataIngestionJobRequest from "./get-data-ingestion-job-request";
export import GetDataIngestionJobRequest = GetDataIngestionJobRequest.GetDataIngestionJobRequest;
import * as GetDataIngestionJobLogContentRequest from "./get-data-ingestion-job-log-content-request";
export import GetDataIngestionJobLogContentRequest = GetDataIngestionJobLogContentRequest.GetDataIngestionJobLogContentRequest;
import * as GetDataSourceRequest from "./get-data-source-request";
export import GetDataSourceRequest = GetDataSourceRequest.GetDataSourceRequest;
import * as GetKnowledgeBaseRequest from "./get-knowledge-base-request";
export import GetKnowledgeBaseRequest = GetKnowledgeBaseRequest.GetKnowledgeBaseRequest;
import * as GetToolRequest from "./get-tool-request";
export import GetToolRequest = GetToolRequest.GetToolRequest;
import * as GetWorkRequestRequest from "./get-work-request-request";
export import GetWorkRequestRequest = GetWorkRequestRequest.GetWorkRequestRequest;
import * as ListAgentEndpointsRequest from "./list-agent-endpoints-request";
export import ListAgentEndpointsRequest = ListAgentEndpointsRequest.ListAgentEndpointsRequest;
import * as ListAgentsRequest from "./list-agents-request";
export import ListAgentsRequest = ListAgentsRequest.ListAgentsRequest;
import * as ListDataIngestionJobsRequest from "./list-data-ingestion-jobs-request";
export import ListDataIngestionJobsRequest = ListDataIngestionJobsRequest.ListDataIngestionJobsRequest;
import * as ListDataSourcesRequest from "./list-data-sources-request";
export import ListDataSourcesRequest = ListDataSourcesRequest.ListDataSourcesRequest;
import * as ListKnowledgeBasesRequest from "./list-knowledge-bases-request";
export import ListKnowledgeBasesRequest = ListKnowledgeBasesRequest.ListKnowledgeBasesRequest;
import * as ListToolsRequest from "./list-tools-request";
export import ListToolsRequest = ListToolsRequest.ListToolsRequest;
import * as ListWorkRequestErrorsRequest from "./list-work-request-errors-request";
export import ListWorkRequestErrorsRequest = ListWorkRequestErrorsRequest.ListWorkRequestErrorsRequest;
import * as ListWorkRequestLogsRequest from "./list-work-request-logs-request";
export import ListWorkRequestLogsRequest = ListWorkRequestLogsRequest.ListWorkRequestLogsRequest;
import * as ListWorkRequestsRequest from "./list-work-requests-request";
export import ListWorkRequestsRequest = ListWorkRequestsRequest.ListWorkRequestsRequest;
import * as UpdateAgentRequest from "./update-agent-request";
export import UpdateAgentRequest = UpdateAgentRequest.UpdateAgentRequest;
import * as UpdateAgentEndpointRequest from "./update-agent-endpoint-request";
export import UpdateAgentEndpointRequest = UpdateAgentEndpointRequest.UpdateAgentEndpointRequest;
import * as UpdateDataSourceRequest from "./update-data-source-request";
export import UpdateDataSourceRequest = UpdateDataSourceRequest.UpdateDataSourceRequest;
import * as UpdateKnowledgeBaseRequest from "./update-knowledge-base-request";
export import UpdateKnowledgeBaseRequest = UpdateKnowledgeBaseRequest.UpdateKnowledgeBaseRequest;
import * as UpdateToolRequest from "./update-tool-request";
export import UpdateToolRequest = UpdateToolRequest.UpdateToolRequest;
