/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Summary of the Google BigQuery Connection.
 *
 */
export interface GoogleBigQueryConnectionSummary extends model.ConnectionSummary {
    /**
     * The Google BigQuery technology type.
     */
    "technologyType": string;
    /**
     * The [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Secret where the content of the service account key file is stored,
     * which containing the credentials required to use Google BigQuery.
     * Note: When provided, 'serviceAccountKeyFile' field must not be provided.
     *
     */
    "serviceAccountKeyFileSecretId"?: string;
    "connectionType": string;
}
export declare namespace GoogleBigQueryConnectionSummary {
    function getJsonObj(obj: GoogleBigQueryConnectionSummary, isParentJsonObj?: boolean): object;
    const connectionType = "GOOGLE_BIGQUERY";
    function getDeserializedJsonObj(obj: GoogleBigQueryConnectionSummary, isParentJsonObj?: boolean): object;
}
