/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Mapping rule for source and target schemas for the pipeline data replication.
 * For example:
 * \"{mappingType: INCLUDE, source: HR.*, target: HR.*}\" for rule \"Include HR.*\" which will include all the tables under HR schema.
 *
 */
export interface MappingRule {
    /**
     * Defines the exclude/include rules of source and target schemas and tables when replicating from source to target. This option applies when creating and updating a pipeline.
     *
     */
    "mappingType": model.MappingType;
    /**
     * The source schema/table combination for replication to target.
     *
     */
    "source": string;
    /**
     * The target schema/table combination for replication from the source.
     *
     */
    "target"?: string;
}
export declare namespace MappingRule {
    function getJsonObj(obj: MappingRule): object;
    function getDeserializedJsonObj(obj: MappingRule): object;
}
