/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Represents the metadata of a Microsoft Fabric Connection.
 *
 */
export interface MicrosoftFabricConnection extends model.Connection {
    /**
     * The Microsoft Fabric technology type.
     */
    "technologyType": MicrosoftFabricConnection.TechnologyType;
    /**
     * Azure tenant ID of the application.
     * e.g.: 14593954-d337-4a61-a364-9f758c64f97f
     *
     */
    "tenantId": string;
    /**
     * Azure client ID of the application.
     * e.g.: 06ecaabf-8b80-4ec8-a0ec-20cbf463703d
     *
     */
    "clientId": string;
    /**
     * The [OCID](https://docs.oracle.com/iaas/Content/General/Concepts/identifiers.htm) of the Secret where the client secret is stored.
     * Note: When provided, 'clientSecret' field must not be provided.
     *
     */
    "clientSecretSecretId"?: string;
    /**
     * Optional Microsoft Fabric service endpoint.
     * Default value: https://onelake.dfs.fabric.microsoft.com
     *
     */
    "endpoint"?: string;
    "connectionType": string;
}
export declare namespace MicrosoftFabricConnection {
    enum TechnologyType {
        MicrosoftFabricLakehouse = "MICROSOFT_FABRIC_LAKEHOUSE",
        MicrosoftFabricMirror = "MICROSOFT_FABRIC_MIRROR",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: MicrosoftFabricConnection, isParentJsonObj?: boolean): object;
    const connectionType = "MICROSOFT_FABRIC";
    function getDeserializedJsonObj(obj: MicrosoftFabricConnection, isParentJsonObj?: boolean): object;
}
