/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Information regarding the pipeline diagnostic collection
 *
 */
export interface PipelineDiagnosticData {
    /**
     * Name of namespace that serves as a container for all of your buckets
     */
    "namespaceName": string;
    /**
     * Name of the bucket where the object is to be uploaded in the object storage
     */
    "bucketName": string;
    /**
     * Name of the diagnostic collected and uploaded to object storage
     */
    "objectName": string;
    /**
     * The state of the pipeline diagnostics collection.
     *
     */
    "diagnosticState": model.PipelineDiagnosticState;
    /**
     * The date and time the diagnostic data was last collected for the pipeline. The format is defined by
     * [RFC3339](https://tools.ietf.org/html/rfc3339), such as {@code 2024-07-25T21:10:29.600Z}.
     *
     */
    "timeLastCollected"?: Date;
}
export declare namespace PipelineDiagnosticData {
    function getJsonObj(obj: PipelineDiagnosticData): object;
    function getDeserializedJsonObj(obj: PipelineDiagnosticData): object;
}
