/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * The step and its progress based on the recipe type.
 *
 */
export interface PipelineInitializationStep {
    /**
     * An object's Display Name.
     *
     */
    "name": string;
    /**
     * Status of the steps in a recipe. This option applies during pipeline initialization.
     *
     */
    "status": model.StepStatusType;
    /**
     * Shows the percentage complete of each recipe step during pipeline initialization.
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "percentComplete": number;
    /**
     * The date and time the request was started. The format is defined by
     * [RFC3339](https://tools.ietf.org/html/rfc3339), such as {@code 2016-08-25T21:10:29.600Z}.
     *
     */
    "timeStarted": Date;
    /**
     * The date and time the request was finished. The format is defined by
     * [RFC3339](https://tools.ietf.org/html/rfc3339), such as {@code 2016-08-25T21:10:29.600Z}.
     *
     */
    "timeFinished": Date;
    /**
     * The list of messages for each step while running.
     *
     */
    "messages"?: Array<model.StepMessage>;
}
export declare namespace PipelineInitializationStep {
    function getJsonObj(obj: PipelineInitializationStep): object;
    function getDeserializedJsonObj(obj: PipelineInitializationStep): object;
}
