/**
 * GoldenGate API
 * Use the Oracle Cloud Infrastructure GoldenGate APIs to perform data replication operations.

 * OpenAPI spec version: 20200407
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Summary of the ZeroETL pipeline.
 *
 */
export interface ZeroEtlPipelineSummary extends model.PipelineSummary {
    "processOptions": model.ProcessOptions;
    /**
     * When the resource was last updated. This option applies when retrieving a pipeline. The format is defined by
     * [RFC3339](https://tools.ietf.org/html/rfc3339), such as {@code 2024-07-25T21:10:29.600Z}.
     *
     */
    "timeLastRecorded"?: Date;
    "recipeType": string;
}
export declare namespace ZeroEtlPipelineSummary {
    function getJsonObj(obj: ZeroEtlPipelineSummary, isParentJsonObj?: boolean): object;
    const recipeType = "ZERO_ETL";
    function getDeserializedJsonObj(obj: ZeroEtlPipelineSummary, isParentJsonObj?: boolean): object;
}
