/**
 * Oracle Integration API
 * Oracle Integration API.
 * OpenAPI spec version: 20190131
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Details for a custom endpoint for the integration instance.
 */
export interface CustomEndpointDetails {
    /**
     * A custom hostname to be used for the integration instance URL, in FQDN format.
     */
    "hostname": string;
    /**
     * Indicates if custom endpoint is managed by oracle or customer.
     */
    "managedType"?: CustomEndpointDetails.ManagedType;
    /**
     * DNS Zone name
     */
    "dnsZoneName"?: string;
    /**
     * Type of DNS.
     */
    "dnsType"?: CustomEndpointDetails.DnsType;
    /**
     * Optional OCID of a vault/secret containing a private SSL certificate bundle to be used for the custom hostname.
     *
     */
    "certificateSecretId"?: string;
    /**
     * The secret version used for the certificate-secret-id (if certificate-secret-id is specified).
     *  Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "certificateSecretVersion"?: number;
    /**
     * When creating the DNS CNAME record for the custom hostname, this value must be specified in the rdata.
     *
     */
    "alias"?: string;
}
export declare namespace CustomEndpointDetails {
    enum ManagedType {
        OracleManaged = "ORACLE_MANAGED",
        CustomerManaged = "CUSTOMER_MANAGED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    enum DnsType {
        Oci = "OCI",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: CustomEndpointDetails): object;
    function getDeserializedJsonObj(obj: CustomEndpointDetails): object;
}
