/**
 * Java Management Service Fleets API
 * The APIs for the [Fleet Management](https://docs.oracle.com/en-us/iaas/jms/doc/fleet-management.html) feature of Java Management Service to monitor and manage the usage of Java in your enterprise. Use these APIs to manage fleets, configure managed instances to report to fleets, and gain insights into the Java workloads running on these instances by carrying out basic and advanced features.
 * OpenAPI spec version: 20210610
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Supported agent installer downloads.
 *
 */
export interface AgentInstallerSummary {
    /**
     * Unique identifier for the agent installer. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "agentInstallerId": number;
    /**
     * Description of the agent installer artifact. The description typically includes the OS, architecture, and agent installer type.
     */
    "agentInstallerDescription": string;
    /**
     * Approximate compressed file size in bytes. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "approximateFileSizeInBytes": number;
    /**
     * SHA256 checksum of the agent installer.
     */
    "sha256": string;
    /**
     * The target operating system family for the agent installer.
     */
    "osFamily": model.OsFamily;
    /**
     * The target operating system architecture for the installer.
     */
    "platformArchitecture": model.PlatformArchitectureType;
    /**
     * The package type (typically the file extension) of the agent software included in the installer.
     */
    "packageType": model.PackageType;
    /**
     * Agent image version.
     */
    "agentVersion": string;
    /**
     * Java version.
     */
    "javaVersion": string;
    /**
     * Agent installer version.
     */
    "agentInstallerVersion": string;
}
export declare namespace AgentInstallerSummary {
    function getJsonObj(obj: AgentInstallerSummary): object;
    function getDeserializedJsonObj(obj: AgentInstallerSummary): object;
}
