/**
 * Java Management Service Fleets API
 * The APIs for the [Fleet Management](https://docs.oracle.com/en-us/iaas/jms/doc/fleet-management.html) feature of Java Management Service to monitor and manage the usage of Java in your enterprise. Use these APIs to manage fleets, configure managed instances to report to fleets, and gain insights into the Java workloads running on these instances by carrying out basic and advanced features.
 * OpenAPI spec version: 20210610
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Inventory of JMS resources in a compartment during a specified time period.
 */
export interface ResourceInventory {
    /**
     * The number of _active_ fleets. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "activeFleetCount": number;
    /**
     * The number of managed instances. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "managedInstanceCount": number;
    /**
     * The number of Java Runtimes. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "jreCount": number;
    /**
     * The number of Java installations. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "installationCount": number;
    /**
     * The number of applications. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "applicationCount": number;
}
export declare namespace ResourceInventory {
    function getJsonObj(obj: ResourceInventory): object;
    function getDeserializedJsonObj(obj: ResourceInventory): object;
}
