/**
 * File Storage with Lustre API
 * Use the File Storage with Lustre API to manage Lustre file systems and related resources. For more information, see [File Storage with Lustre](https://docs.oracle.com/iaas/Content/lustre/home.htm).
 * OpenAPI spec version: 20250228
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The preferred day and time to perform maintenance.
 */
export interface MaintenanceWindow {
    /**
     * Day of the week when the maintainence window starts.
     *
     */
    "dayOfWeek"?: MaintenanceWindow.DayOfWeek;
    /**
      * The time to start the maintenance window. The format is 'HH:MM', 'HH:MM' represents the time in UTC.
  * <p>
  Example: {@code 22:00}
  *
      */
    "timeStart"?: string;
}
export declare namespace MaintenanceWindow {
    enum DayOfWeek {
        Monday = "MONDAY",
        Tuesday = "TUESDAY",
        Wednesday = "WEDNESDAY",
        Thursday = "THURSDAY",
        Friday = "FRIDAY",
        Saturday = "SATURDAY",
        Sunday = "SUNDAY",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: MaintenanceWindow): object;
    function getDeserializedJsonObj(obj: MaintenanceWindow): object;
}
