/**
 * OCI Managed Services for Mac API
 * Use the OCI Managed Services for Mac API to create and manage orders for dedicated, partially-managed Mac servers hosted in an OCI Data Center. For more information, see the user guide documentation for the [OCI Managed Services for Mac]()
 * OpenAPI spec version: 20250320
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The data to create a new MacOrder.
 */
export interface CreateMacOrderDetails {
    /**
     * OCID of the compartment to which the resource belongs to.
     */
    "compartmentId": string;
    /**
      * A user-friendly name. Does not have to be unique, and it's changeable.
  * Avoid entering confidential information.
  * <p>
  Example: {@code My new resource}
  *
      */
    "displayName"?: string;
    /**
     * A user-friendly description. To provide some insight about the resource.
     * Avoid entering confidential information.
     *
     */
    "orderDescription": string;
    /**
     * Number of macs requested in this MacOrder. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "orderSize": number;
    /**
     * The IP Range specified by the customer for this order.
     */
    "ipRange"?: string;
    /**
     * The requested shape of the MacDevices in the MacOrder.
     */
    "shape": string;
    /**
     * Enum that indicates the agreed commitment term for the MacDevices.
     */
    "commitmentTerm": string;
}
export declare namespace CreateMacOrderDetails {
    function getJsonObj(obj: CreateMacOrderDetails): object;
    function getDeserializedJsonObj(obj: CreateMacOrderDetails): object;
}
