/**
 * OCI Managed Services for Mac API
 * Use the OCI Managed Services for Mac API to create and manage orders for dedicated, partially-managed Mac servers hosted in an OCI Data Center. For more information, see the user guide documentation for the [OCI Managed Services for Mac]()
 * OpenAPI spec version: 20250320
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Summary information about a MacOrder.
 */
export interface MacOrderSummary {
    /**
     * The OCID of the resource.
     */
    "id": string;
    /**
     * OCID of the compartment to which the resource belongs to.
     */
    "compartmentId": string;
    /**
      * A user-friendly name. Does not have to be unique, and it's changeable.
  * Avoid entering confidential information.
  * <p>
  Example: {@code My new resource}
  *
      */
    "displayName": string;
    /**
     * A user-friendly description. To provide some insight about the resource.
     * Avoid entering confidential information.
     *
     */
    "orderDescription": string;
    /**
     * Number of macs requested in this MacOrder. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "orderSize": number;
    /**
     * The IP Range specified by the customer for this order.
     */
    "ipRange"?: string;
    /**
     * Checkbox value that indicates whether the customer completed docusign process.
     */
    "isDocusigned": boolean;
    /**
     * The requested shape for Macs in this MacOrder.
     */
    "shape": string;
    /**
     * The time this resource was created. An RFC3339 formatted datetime string.
     */
    "timeCreated": Date;
    /**
     * The time this resource was last updated. An RFC3339 formatted datetime string.
     */
    "timeUpdated"?: Date;
    /**
     * Enum indicating the agreed commitment term on the MacOrder.
     */
    "commitmentTerm": string;
    /**
     * An RFC3339-formatted datetime string containing the date and time this MacOrder begins.
     */
    "timeBillingStarted"?: Date;
    /**
     * An RFC3339-formatted datetime string containing the date and time this MacOrder begins.
     */
    "timeBillingEnded"?: Date;
    /**
     * The current status of the MacOrder.
     */
    "orderStatus": string;
    /**
     * The current state of the MacOrder.
     */
    "lifecycleState": string;
    /**
     * A message that describes the current state of the MacOrder in more detail.
     *
     */
    "lifecycleDetails"?: string;
}
export declare namespace MacOrderSummary {
    function getJsonObj(obj: MacOrderSummary): object;
    function getDeserializedJsonObj(obj: MacOrderSummary): object;
}
