/**
 * OCI Managed Services for Mac API
 * Use the OCI Managed Services for Mac API to create and manage orders for dedicated, partially-managed Mac servers hosted in an OCI Data Center. For more information, see the user guide documentation for the [OCI Managed Services for Mac]()
 * OpenAPI spec version: 20250320
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * The data to update an order in MAC_ORDER bucket.
 */
export interface OpsActionUpdateMacOrderDetails {
    /**
     * The new status of the MacOrder.
     */
    "orderStatus"?: string;
    /**
     * The IP Range specified by the customer for this order.
     */
    "ipRange"?: string;
    /**
     * The date and time this mac order is Active from. An RFC3339 formatted datetime string.
     */
    "timeBillingStarted"?: Date;
    /**
     * The date and time this mac order until which this mac is Active. An RFC3339 formatted datetime string.
     */
    "timeBillingEnded"?: Date;
}
export declare namespace OpsActionUpdateMacOrderDetails {
    function getJsonObj(obj: OpsActionUpdateMacOrderDetails): object;
    function getDeserializedJsonObj(obj: OpsActionUpdateMacOrderDetails): object;
}
