/**
 * MySQL Database Service API
 * The API for the MySQL Database Service
 * OpenAPI spec version: 20190415
 * Contact: mysql-cloud-dev_ww_grp@oracle.com
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Read Endpoint details.
 *
 */
export interface UpdateReadEndpointDetails {
    /**
     * Specifies if the DB System read endpoint is enabled or not.
     *
     */
    "isEnabled"?: boolean;
    /**
     * The IP address the DB System read endpoint is configured to listen on.
     * A private IP address of your choice to assign to the read endpoint of the DB System.
     * Must be an available IP address within the subnet's CIDR. If you don't specify a value,
     * Oracle automatically assigns a private IP address from the subnet. This should be a
     * \"dotted-quad\" style IPv4 address.
     *
     */
    "readEndpointIpAddress"?: string;
    /**
      * The hostname for the read endpoint of the DB System. Used for DNS.
  * <p>
  The value is the hostname portion of the primary private IP's fully qualified domain name (FQDN)
  * (for example, \"dbsystem-1\" in FQDN \"dbsystem-1.subnet123.vcn1.oraclevcn.com\").
  * <p>
  Must be unique across all VNICs in the subnet and comply with RFC 952 and RFC 1123.
  *
      */
    "readEndpointHostnameLabel"?: string;
    /**
     * A list of IP addresses of read replicas that are excluded from serving read requests.
     *
     */
    "excludeIps"?: Array<string>;
}
export declare namespace UpdateReadEndpointDetails {
    function getJsonObj(obj: UpdateReadEndpointDetails): object;
    function getDeserializedJsonObj(obj: UpdateReadEndpointDetails): object;
}
