/**
 * Dblm API
 * A description of the Dblm API
 * OpenAPI spec version: 20240102
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2025, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
* A Dblm Vulnerability is a description of a Dblm Vulnerability.
* <p>
To use any of the API operations, you must be authorized in an IAM policy. If you're not authorized, talk to
* an administrator. If you're an administrator who needs to write policies to give users access, see
* [Getting Started with Policies](https://docs.oracle.com/iaas/Content/Identity/policiesgs/get-started-with-policies.htm).
*
*/
export interface DblmVulnerability {
    /**
     * Compartment Identifier.
     */
    "compartmentId": string;
    /**
     * Resources objects.
     */
    "resources"?: Array<model.ResourceInfo>;
    /**
     * A message describing the status of the feature's state.
     */
    "message"?: string;
    /**
     * The time the the Vulnerability was enabled. An RFC3339 formatted datetime string.
     */
    "timeEnabled"?: Date;
    /**
     * The current state of the feature.
     */
    "lifecycleState"?: DblmVulnerability.LifecycleState;
    /**
     * Summary of dblm registered and unregistered resources.
     */
    "resourcesSummary"?: any;
    /**
     * Summary of vulnerabilities found in registered resources grouped by severity.
     */
    "vulnerabilitiesSummary"?: any;
    /**
     * Summary of the patch recommendations for databases.
     */
    "patchRecommendationsSummary"?: any;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: {@code {\"bar-key\": \"value\"}}
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * System tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace DblmVulnerability {
    enum LifecycleState {
        Creating = "CREATING",
        Active = "ACTIVE",
        Failed = "FAILED",
        NeedsAttention = "NEEDS_ATTENTION",
        Deleting = "DELETING",
        Deleted = "DELETED",
        /**
         * This value is used if a service returns a value for this enum that is not recognized by this
         * version of the SDK.
         */
        UnknownValue = "UNKNOWN_VALUE"
    }
    function getJsonObj(obj: DblmVulnerability): object;
    function getDeserializedJsonObj(obj: DblmVulnerability): object;
}
